Subject: [lemonade] Future Delivery Date-time Syntax

From: "Vaudreuil, Greg M (Greg)" <[email-masked]>
Date: Mon, 10 Oct 2005 19:03:03 -0500

I am soliciting opinions on which date-time syntax to use.  Clients already are familar with RFC 2822 date-time.  However, RFC 3339 (new protocols should...) and previous discussion on this list suggest that the format defined in 3339 be used.

Preferences?   

Greg V.

_______________________________________________
lemonade mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/lemonade

---

From: Mark Crispin <[email-masked]>
Date: Mon, 10 Oct 2005 17:18:17 -0700 (Pacific Daylight Time)

On Mon, 10 Oct 2005, Vaudreuil, Greg M (Greg) wrote:
> I am soliciting opinions on which date-time syntax to use.  Clients 
> already are familar with RFC 2822 date-time.  However, RFC 3339 (new 
> protocols should...) and previous discussion on this list suggest that 
> the format defined in 3339 be used.

As tempting as it is to use RFC 2822 format, the arguments in favor of RFC 
3339 are compelling.  Among other things:
  . it has the heavy weight of standardization
  . it's ISO 8601
  . it omits redundant data (day of week) and avoids the "Anglo-centric"
     flamewars for names of months
  . it doesn't have embedded spaces (this is a big one for me)

RFC 3339 does have some bugs (it refers to a nonexistant year "0000AD"), 
but it seems to be a definite step in the right direction.

-- Mark --

http://staff.washington.edu/mrc
Science does not emerge from voting, party politics, or public debate.
Si vis pacem, para bellum.

---

From: Anil SRIVASTAVA <[email-masked]>
Date: Mon, 10 Oct 2005 17:54:46 -0700 (Pacific Daylight Time)

> the format defined in 3339 be used.

RFC3399 should be the syntax used for future-delivery.  The fact that is 
the proposed standard for time for Internet protcols is big one in its 
favor.

-- 
_______________
Anil SRIVASTAVA
[email-masked]

---

From: Antony Bowesman <[email-masked]>
Date: Tue, 11 Oct 2005 08:18:39 +0300

Vaudreuil, Greg M (Greg) wrote:
> I am soliciting opinions on which date-time syntax to use.  Clients already
> are familar with RFC 2822 date-time.  However, RFC 3339 (new protocols
> should...) and previous discussion on this list suggest that the format
> defined in 3339 be used.
> 
> Preferences?

3339.

Antony

---

From: Dave Cridland <[email-masked]>
Date: Tue, 11 Oct 2005 08:58:11 +0100

On Mon Oct 10 15:03:03 2005, Vaudreuil, Greg M (Greg) wrote:
> already are familar with RFC 2822 date-time.  However, RFC 3339 
> (new protocols should...) and previous discussion on this list 
> suggest that the format defined in 3339 be used.
> 
> Preferences?   

RFC3339, because of Mark's stated reasons, and because clients have 
historically mucked up RFC[2]822 date format.

Dave.
-- 
Dave Cridland - using Infotrope Polymer
http://dave.cridland.net/acap/polymer.html

---

From: Alexey Melnikov <[email-masked]>
Date: Tue, 11 Oct 2005 10:57:37 +0100

>I am soliciting opinions on which date-time syntax to use.  Clients already are familar with RFC 2822 date-time.  However, RFC 3339 (new protocols should...) and previous discussion on this list sug…
For consistency with URLAUTH I would suggest to use RFC 3339.